<?php declare(strict_types=1);
/**
 * Copyright © 2022 Amazon. All rights reserved.
 */
namespace Amazonfulfillment\AmazonMCF\Api;

/**
 * Interface ConfigInterface
 * Method declarations for AMCF Config Details
 */
interface FullfillmentInterface
{
    /**
     * Check if contacts module is enabled
     *
     * @return bool
     */
    public function isMcfEnabled();
}
