<?php declare(strict_types=1);
/**
 * Copyright © 2022 Amazon. All rights reserved.
 */
namespace Amazonfulfillment\AmazonMCF\Model\ResourceModel\Syncinfo;

use Magento\Framework\Model\ResourceModel\Db\Collection\AbstractCollection;

use Amazonfulfillment\AmazonMCF\Model\Syncinfo as RequestModel;
use Amazonfulfillment\AmazonMCF\Model\ResourceModel\Syncinfo as RequestResourceModel;

class Collection extends AbstractCollection
{

    /**
     * Initialize resource model
     *
     * @return void
     */
    protected function _construct()
    {
        $this->_init(
            RequestModel::class,
            RequestResourceModel::class
        );
    }
}
