<?php declare(strict_types=1);
/**
 * Copyright © 2022 Amazon. All rights reserved.
 */
namespace Amazonfulfillment\AmazonMCF\Api\Data;

use Magento\Framework\Api\SearchResultsInterface;

interface InventorySyncinfoSearchResultInterface extends SearchResultsInterface
{
    /**
     * Get Items
     *
     * @return RequestInterface[]
     */
    public function getItems();

    /**
     * Set Items
     *
     * @param RequestInterface[] $items
     * @return void
     */
    public function setItems(array $items);
}
