<?php declare(strict_types=1);
/**
 * Copyright © 2022 Amazon. All rights reserved.
 */
namespace Amazonfulfillment\AmazonMCF\Cron;

use Amazonfulfillment\AmazonMCF\Model\ConfigManager;

class OrderStatusSync
{
    /**
     * @var ConfigManager
     */
    private $configManager;

    /**
     * @param ConfigManager $configManager
     */
    public function __construct(
        ConfigManager $configManager
    ) {
        $this->configManager = $configManager;
    }

    /**
     * Orderstatus sync
     */
    public function execute()
    {
        $this->configManager->autoOrderStatusSync();
    }
}
